<?php

header("Content-type: application/vnd.ms-excel; name='excel'");
header("Content-Disposition: filename=Productos.xls");
header("Pragma: no-cache");
header("Expires: 0");

include "../conexion.php";
$noreporte=$_REQUEST["noreporte"];
if($noreporte==1)
{
   echo "<center> <table width='100%' border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0'>";
	echo "<tr class='texto' >";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Codigo</font></center></td>";	
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Nombre</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Precio Unitario</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Precio Venta</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Producto Familia</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Marca</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Codigo Barra</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Estado</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Saldo Inventario</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Minimo</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Maximo</font></center></td>";
	echo "</tr>";	
	$sql_datosre=mssql_query("SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,codigobarra,estado
							  from producto order by nombre asc",$conexion);
	$c=1; 
	while($datos= mssql_fetch_row($sql_datosre))//01
		{   
		   $id=$datos[0];
		   $nombre=$datos[1];
		   $descripcion=$datos[2];
		   $preciounitario=$datos[3];
		   $precioventa=$datos[4];
		   $productofamilia=$datos[5];
		   $marca=$datos[6];
		   $iva=$datos[7];
		   $codigobarra=$datos[8];
		   $estado=$datos[9];
		   if($estado=='A'){$nestado="Activo";}
		   if($estado=='I'){$nestado="Inactivo";}
		   
		   $rs_producto_familia=mssql_query("SELECT id,nombre FROM Producto_familia where id='".$productofamilia."'",$conexion);
		   $nfamilia=mssql_result($rs_producto_familia, 0, "nombre");		  
		   $rs_marca=mssql_query("SELECT id,nombre FROM marca where id='".$marca."'",$conexion);
		   $nmarca=mssql_result($rs_marca, 0, "nombre");
		   
		    $sql_inv=mssql_query("SELECT sum(cantidad) as cantidad from inventario where producto='".$id."'", $conexion);
			 $cantidadinv=mssql_result($sql_inv, 0, "cantidad");
			
			$sql_inv=mssql_query("SELECT count(*) as contar from Producto_MinMax where producto='".$id."'", $conexion);
			 $contar=mssql_result($sql_inv, 0, "contar");
			 if($contar>=1)
			 {
				 $sql_inv=mssql_query("SELECT minimo,maximo from Producto_MinMax where producto='".$id."'", $conexion);
				 $minimo=mssql_result($sql_inv, 0, "minimo");
				 $maximo=mssql_result($sql_inv, 0, "maximo");
			 }
			 else {$minimo="";$maximo="";}
			 
			 $sql_datosventas=mssql_query("SELECT sum(cantidad) as cantidad,sum(total) as total from venta
										   where producto='".$id."'", $conexion);
			 $cantidadv=mssql_result($sql_datosventas, 0, "cantidad");
			 $total=mssql_result($sql_datosventas, 0, "total");
			 $saldo=$cantidadinv-$cantidadv;
			 if($saldo>0){$colorinv="#009933";} else {$colorinv="";}
		   
		    if($c%2==0){$color="#EAEAEA";}
			else {$color="#BFBFBF";}
			echo " <tr class='texto'>";
					 echo "<td bgcolor=$color>$id</td>";					
					 echo "<td bgcolor=$color>".$nombre."</td>";
					 echo "<td bgcolor=$color>".$preciounitario."</td>";
					 echo "<td bgcolor=$color>".$precioventa."</td>";
					 echo "<td bgcolor=$color>".$nfamilia."</td>";
					 echo "<td bgcolor=$color>".$nmarca."</td>";
					 echo "<td bgcolor=$color>".$codigobarra."</td>";
					 echo "<td bgcolor=$color>".$nestado."</td>";
					  echo "<td bgcolor=$color>".$saldo."</td>";
					 echo "<td bgcolor=$color>".$minimo."</td>";
					 echo "<td bgcolor=$color>".$maximo."</td>";
					 echo "</tr>";
				$c=$c+1;
		 }
	 echo "</table></center>"; 
}

if($noreporte==2)
{
	$id=$_REQUEST["id"];   		
	$nombre=$_REQUEST["nombre"];  
	$estado=$_REQUEST["estado"];
	$descripcion=$_REQUEST["descripcion"];
	$preciounitario=$_REQUEST["preciounitario"];
	$precioventa=$_REQUEST["precioventa"];
	$productofamilia=$_REQUEST["productofamilia"];
	$marca=$_REQUEST["marca"];		
	$iva=$_REQUEST["iva"];  
	$codigobarra=$_REQUEST["codigobarra"];  
	$ubicacion=$_REQUEST["ubicacion"];  
	
	if($estado<>""){$sqlestado="where estado='".$estado."'";}else {$sqlestado="";}
	if($id<>""){$sqlid="and id='".$id."'";}else {$sqlid="";}
	if($nombre<>""){$sqlnombre="and nombre like '%".$nombre."%'";}else {$sqlnombre="";}
	if($descripcion<>""){$sqldescripcion="and descripcion like '%".$descripcion."%'";}else {$sqldescripcion="";}
	if($preciounitario>0){$sqlpreciounitario="and preciounitario='".$preciounitario."'";}else {$sqlpreciounitario="";}
	if($precioventa>0){$sqlprecioventa="and precioventa='".$precioventa."'";}else {$sqlprecioventa="";}
	if($productofamilia>0){$sqlproductofamilia="and productofamilia='".$productofamilia."'";}else {$sqlproductofamilia="";}
	if($marca>0){$sqlmarca="and marca='".$marca."'";}else {$sqlmarca="";}
	if($iva<>""){$sqliva="and iva='".$iva."'";}else {$sqliva="";}
	if($codigobarra<>""){$sqlcodigobarra="and codigobarra like '%".$codigobarra."%'";}else {$sqlcodigobarra="";}
	if($ubicacion>0){$sqlubicacion="and ubicacion=".$ubicacion."";}else {$sqlubicacion="";}
	

   
	echo "<center> <table width='100%' border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0'>";
	echo "<tr class='texto' >";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Codigo</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Nombre</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Descripcion</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Precio Unitario</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Precio Venta</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Producto Familia</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Marca</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Iva</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Codigo Barra</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Estado</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Ubicacion</font></center></td>";
	echo "</tr>";	
	$sql_datosre=mssql_query("SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,
								marca,iva,codigobarra,estado,ubicacion
							  from producto
							  $sqlestado
							  $sqlid
							  $sqlnombre
							  $sqldescripcion
							  $sqlpreciounitario
							  $sqlprecioventa
							  $sqlproductofamilia
							  $sqlmarca
							  $sqliva
							  $sqlcodigobarra
							  $sqlubicacion
							   order by id asc",$conexion);
							  
	$c=1; 
	while($datos= mssql_fetch_row($sql_datosre))//01
		{   
		   $rsid=$datos[0];
		   $rsnombre=$datos[1];
		   $rsdescripcion=$datos[2];
		   $rspreciounitario=$datos[3];
		   $rsprecioventa=$datos[4];
		   $rsproductofamilia=$datos[5];
		   $rsmarca=$datos[6];
		   $rsiva=$datos[7];
		   $rscodigobarra=$datos[8];
		   $rsestado=$datos[9];
		   $rsubicacion=$datos[10];
		   if($rsestado=='A'){$nestado="Activo";}
		   if($rsestado=='I'){$nestado="Inactivo";}
		   
		   $rs_producto_familia=mssql_query("SELECT id,nombre FROM Producto_familia where id='".$rsproductofamilia."'",$conexion);
		   $nfamilia=mssql_result($rs_producto_familia, 0, "nombre");		  
		   $rs_marca=mssql_query("SELECT id,nombre FROM marca where id='".$rsmarca."'",$conexion);
		   $nmarca=mssql_result($rs_marca, 0, "nombre");
		   $rs_ubicacion=mssql_query("SELECT id,nombre FROM ubicacion where id='".$rsubicacion."'",$conexion);
		   $nubicacion=mssql_result($rs_ubicacion, 0, "nombre");
		    if($c%2==0){$color="#EAEAEA";}
			else {$color="#BFBFBF";}
			echo " <tr class='texto' >";
					  echo "<td  bgcolor=$color>$rsid</td>";
					 echo "<td bgcolor=$color>".$rsnombre."</td>";
					 echo "<td bgcolor=$color>".$rsdescripcion."</td>";
					 echo "<td bgcolor=$color>".$rspreciounitario."</td>";
					 echo "<td bgcolor=$color>".$rsprecioventa."</td>";
					 echo "<td bgcolor=$color>".$nfamilia."</td>";
					 echo "<td bgcolor=$color>".$nmarca."</td>";
					 echo "<td bgcolor=$color>".$rsiva."</td>";
					 echo "<td bgcolor=$color>".$rscodigobarra."</td>";
					 echo "<td bgcolor=$color>".$nestado."</td>";
					 echo "<td bgcolor=$color>".$nubicacion."</td>";
					 echo "</tr>";
					 
				$c=$c+1;
		 }
	 echo "</table></center>"; 
}


?>